Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # Algorithms and Utility Functions [Point] ## Detailed Description Algorithms and Utility Functions for points. Example:
    assert(iround(point2<double>(3.1, 3.9)) == point2<std::ptrdiff_t>(3,4));
## Functions
point2< std::ptrdiff_t > | iround (const point2< float > &p)
point2< std::ptrdiff_t > | iround (const point2< double > &p)
point2< std::ptrdiff_t > | ifloor (const point2< float > &p)
point2< std::ptrdiff_t > | ifloor (const point2< double > &p)
point2< std::ptrdiff_t > | iceil (const point2< float > &p)
point2< std::ptrdiff_t > | iceil (const point2< double > &p)